package com.huatek.busi.service;

import com.huatek.busi.vo.DeviceSubclassOrTestItemListVo;
import com.huatek.busi.where.LabReportBasisDataSelectVo;
import com.huatek.busi.where.LabReportBasisDataStatisticsWhereVo;
import com.huatek.busi.where.LabReportParamDataSelectVo;
import org.apache.poi.openxml4j.exceptions.InvalidFormatException;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface ILabReportBasisDataService {

    Map<String, Object> list(LabReportBasisDataSelectVo labReportBasisDataSelectVo);

    Map<String, Object> findExcelList(LabReportBasisDataSelectVo labReportBasisDataSelectVo);

    Map<String, Object> findAll(LabReportParamDataSelectVo labReportParamDataSelectVo);

    Map<String, Object> statistics(LabReportBasisDataStatisticsWhereVo labReportBasisDataStatisticsVo);

    int updateByRefIds(List<String> refIds, String eqType);

    /**
     * @param file      导入文件字节数组
     * @param token
     * @param eqType    设备类型标识
     * @param fileName  导入文件名
     * @param enclosure 附件名称 - 附件字节数组
     * @return
     */
    Map<String, Object> importFile(byte[] file, String token, String eqType, String fileName, String enclosure, List<Map<String, String>> fileList, String rootPath, String equipmentId, String jgId);

    Map<String, Object> importModel(byte[] bytes, String token, String eqType, String fileName, String rootPath);

    List<DeviceSubclassOrTestItemListVo> deviceSubclassList(String equType);

    List<DeviceSubclassOrTestItemListVo> testItemList(String equType);
}
